import java.awt.geom.AffineTransform;
import java.awt.image.BufferedImage;
import java.awt.Graphics2D;

public class AffineTransformFilter implements BufferedImageFilter2 {
	private String name;
	private AffineTransform transform;
	
	// ### INIT ###
	
	public AffineTransformFilter(String name, AffineTransform transform) {
		this.name = name;
		this.transform = transform;
	}
	
	// ### FILTER ###
	
	public void filter(BufferedImage inImg, BufferedImage outImg) {
		((Graphics2D) outImg.getGraphics()).drawRenderedImage(inImg, this.transform);
	}
	
	public String toString() {
		return this.name;
	}
	
	// ### ACCESSORS ###
	
	public void setTransform(AffineTransform transform) {
		this.transform = transform;
	}
	
	public AffineTransform getTransform() {
		return this.transform;
	}
}